LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
lldb_private::SystemInitializerFull Class Reference

`#include <SystemInitializerFull.h>`

Inheritance diagram for lldb_private::SystemInitializerFull:
[legend]
Collaboration diagram for lldb_private::SystemInitializerFull:
[legend]

## Public Member Functions
| SystemInitializerFull ()
| ~SystemInitializerFull () override
void | Initialize () override
void | Terminate () override

## Detailed Description

Initializes lldb.

This class is responsible for initializing all of lldb system services needed to use the full LLDB application. This class is not intended to be used externally, but is instead used internally by SBDebugger to initialize the system.

Definition at line 24 of file SystemInitializerFull.h.

## Constructor & Destructor Documentation

lldb_private::SystemInitializerFull::SystemInitializerFull | ( |  | ) |

lldb_private::SystemInitializerFull::~SystemInitializerFull | ( |  | ) |
| override

## Member Function Documentation

void lldb_private::SystemInitializerFull::Initialize | ( |  | ) |
| override

void lldb_private::SystemInitializerFull::Terminate | ( |  | ) |
| override

The documentation for this class was generated from the following file:

- SystemInitializerFull.h